Index: code/branches/bugger/src/core/Factory.cc
===================================================================
--- code/branches/bugger/src/core/Factory.cc	(revision 2530)
+++ code/branches/bugger/src/core/Factory.cc	(revision 2531)
@@ -58,7 +58,7 @@
         @return The Identifier
     */
-    Identifier* Factory::getIdentifier(const unsigned int id)
+    Identifier* Factory::getIdentifier(const uint32_t id)
     {
-        std::map<unsigned int, Identifier*>::const_iterator it = getFactoryPointer()->identifierNetworkIDMap_.find(id);
+        std::map<uint32_t, Identifier*>::const_iterator it = getFactoryPointer()->identifierNetworkIDMap_.find(id);
         if (it != getFactoryPointer()->identifierNetworkIDMap_.end())
             return it->second;
@@ -85,5 +85,5 @@
         @param newID The new networkID
     */
-    void Factory::changeNetworkID(Identifier* identifier, const unsigned int oldID, const unsigned int newID)
+    void Factory::changeNetworkID(Identifier* identifier, const uint32_t oldID, const uint32_t newID)
     {
         getFactoryPointer()->identifierNetworkIDMap_.erase(oldID);
Index: code/branches/bugger/src/core/Factory.h
===================================================================
--- code/branches/bugger/src/core/Factory.h	(revision 2530)
+++ code/branches/bugger/src/core/Factory.h	(revision 2531)
@@ -49,4 +49,5 @@
 #include <map>
 #include <string>
+#include "util/Integers.h"
 
 namespace orxonox
@@ -60,7 +61,7 @@
         public:
             static Identifier* getIdentifier(const std::string& name);
-            static Identifier* getIdentifier(const unsigned int id);
+            static Identifier* getIdentifier(const uint32_t id);
             static void add(const std::string& name, Identifier* identifier);
-            static void changeNetworkID(Identifier* identifier, const unsigned int oldID, const unsigned int newID);
+            static void changeNetworkID(Identifier* identifier, const uint32_t oldID, const uint32_t newID);
             static void createClassHierarchy();
 
@@ -83,5 +84,5 @@
 
             std::map<std::string, Identifier*> identifierStringMap_;            //!< The map, mapping the name with the Identifier
-            std::map<unsigned int, Identifier*> identifierNetworkIDMap_;        //!< The map, mapping the network ID with the Identifier
+            std::map<uint32_t, Identifier*> identifierNetworkIDMap_;        //!< The map, mapping the network ID with the Identifier
     };
 
Index: code/branches/bugger/src/core/Identifier.cc
===================================================================
--- code/branches/bugger/src/core/Identifier.cc	(revision 2530)
+++ code/branches/bugger/src/core/Identifier.cc	(revision 2531)
@@ -245,5 +245,5 @@
         @param id The new network ID
     */
-    void Identifier::setNetworkID(unsigned int id)
+    void Identifier::setNetworkID(uint32_t id)
     {
         Factory::changeNetworkID(this, this->classID_, id);
Index: code/branches/bugger/src/core/Identifier.h
===================================================================
--- code/branches/bugger/src/core/Identifier.h	(revision 2530)
+++ code/branches/bugger/src/core/Identifier.h	(revision 2531)
@@ -68,4 +68,5 @@
 #include "Super.h"
 #include "Functor.h"
+#include "util/Integers.h"
 #include "util/Debug.h"
 #include "util/String.h"
@@ -230,8 +231,8 @@
 
             /** @brief Returns the network ID to identify a class through the network. @return the network ID */
-            inline const unsigned int getNetworkID() const { return this->classID_; }
+            inline const uint32_t getNetworkID() const { return this->classID_; }
 
             /** @brief Sets the network ID to a new value. @param id The new value */
-            void setNetworkID(unsigned int id);
+            void setNetworkID(uint32_t id);
 
             void addConfigValueContainer(const std::string& varname, ConfigValueContainer* container);
@@ -317,5 +318,5 @@
             BaseFactory* factory_;                                         //!< The Factory, able to create new objects of the given class (if available)
             static int hierarchyCreatingCounter_s;                         //!< Bigger than zero if at least one Identifier stores its parents (its an int instead of a bool to avoid conflicts with multithreading)
-            unsigned int classID_;                                         //!< The network ID to identify a class through the network
+            uint32_t classID_;                                             //!< The network ID to identify a class through the network
 
             bool bHasConfigValues_;                                        //!< True if this class has at least one assigned config value
